Bug 205868 - git-svn contains the binary, "git-svnimport" but not "git-svn"
git-svn contains the binary, "git-svnimport" but not "git-svn"
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-09-09 00:38 EDT by Pierre Marc Dumuid
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-19 18:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pierre Marc Dumuid 2006-09-09 00:38:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20060808 Fedora/ Firefox/ pango-text

Description of problem:
According to http://www.kernel.org/pub/software/scm/git/docs/git-svn.html:

git-svn is a simple conduit for changesets between a single Subversion branch and git. It is not to be confused with git-svnimport(1). They were designed with very different goals in mind.

But when I look at the content of the rpm, I get:

$ rpmquery git-svn -l

which has no indication of git-svn, but rather git-svnimport!  If you could tell me what package the real git-svn is supposed to be in, that would be rather nice...  And I suggest renaming this package to git-svnimport, or adding the binary, "git-svn" to this package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Look at my above description..

Actual Results:

Expected Results:

Additional info:
Comment 1 Chris Wright 2007-03-19 18:53:10 EDT
Please reopen if this is still an issue.  git-svn currently has everything you
are asking for.

Note You need to log in before you can comment on or make changes to this bug.